For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
      • GETReturns all time reports of a user.
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTime Reports

Returns all time reports of a user.

GET
https://api.awork.com/api/v1/timereports
GET
/api/v1/timereports
$curl https://api.awork.com/api/v1/timereports \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "shared": true,
4 "dateMode": "lastMonth",
5 "startOn": null,
6 "endOn": null,
7 "filter": "projectId eq guid'b870a84e-c7fa-e711-80c2-00155d3163ca'",
8 "chartType": "group",
9 "projectId": "a3f47b9e-8c2d-4f1a-9b3e-2d5f7a1c9e4b",
10 "companyId": "d9f1c3a7-5b2e-4f6a-8c1d-7e3f9b2a4c5d",
11 "sumBy": "UserId",
12 "sortBy": "CreatedOn",
13 "sortByOrder": "asc",
14 "roundBy": "upHour",
15 "groupBy": null,
16 "sortColumn": null,
17 "sortGroupsEnabled": true,
18 "availableColumns": [
19 "duration",
20 "user"
21 ],
22 "billingStatuses": [
23 "notBilled"
24 ],
25 "note": null,
26 "usersFilter": [
27 "f47ac10b-58cc-4372-a567-0e02b2c3d479"
28 ],
29 "projectsFilter": [
30 "b870a84e-c7fa-e711-80c2-00155d3163ca"
31 ],
32 "noProjectFilter": null,
33 "projectCompaniesFilter": [
34 "d9f1c3a7-5b2e-4f6a-8c1d-7e3f9b2a4c5d"
35 ],
36 "projectTypesFilter": [
37 "e1a2b3c4-d5f6-7890-abcd-ef1234567890"
38 ],
39 "projectStatusesNameFilter": [
40 "Active",
41 "On Hold"
42 ],
43 "projectStatusTypesFilter": [
44 "Open",
45 "Closed"
46 ],
47 "projectTeamsFilter": [
48 "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
49 ],
50 "userTeamsFilter": [
51 "f1e2d3c4-b5a6-7890-abcd-ef1234567890"
52 ],
53 "taskTagsModelFilter": [
54 {
55 "id": "c1d2e3f4-a5b6-7890-abcd-ef1234567890",
56 "name": "Design",
57 "color": "purple",
58 "entityId": "b870a84e-c7fa-e711-80c2-00155d3163ca"
59 }
60 ],
61 "projectTagsModelFilter": [
62 {
63 "id": "d4e5f6a7-b8c9-0123-abcd-ef1234567890",
64 "name": "Design",
65 "color": "purple",
66 "entityId": "a3f47b9e-8c2d-4f1a-9b3e-2d5f7a1c9e4b"
67 }
68 ],
69 "userTagsModelFilter": [
70 {
71 "id": "e7f8a9b0-c1d2-3456-abcd-ef1234567890",
72 "name": "Design",
73 "color": "purple",
74 "entityId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
75 }
76 ],
77 "typesOfWorkFilter": [
78 "a9b8c7d6-e5f4-3210-abcd-ef1234567890"
79 ],
80 "name": "Project report for March 2022",
81 "id": "123e4567-e89b-12d3-a456-426614174000",
82 "user": {
83 "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
84 "firstName": "Carla",
85 "lastName": "Creative",
86 "hasImage": true
87 },
88 "updatedOn": "2024-01-15T09:30:00Z",
89 "resourceVersion": 637825154598057900
90 }
91]
Returns time reports the user created as well as the shared time reports of other users. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns the global timetracking settings.

Next
Built with

Returns time reports the user created as well as the shared time reports of other users.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

OK
sharedboolean
Whether the time report is shared.
dateModestring or null

The date mode of the time report. Can be: “today”, “yesterday”, “selectDate”, “selectWeek”, “currentWeek”, “lastWeek”, “selectMonth”, “currentMonth”, “lastMonth”, “selectQuarter”, “currentQuarter”, “lastQuarter”, “selectYear”, “currentYear”, “lastYear”, “customRange”, “noFilter”.

startOnstring or nullformat: "date-time"
The start date time of the report when DateMode is "customRange".
endOnstring or nullformat: "date-time"
The end date time of the time report. when DateMode is "customRange". Currently the start of the end day.
filterstring or null
The generated filter query of the time report.
chartTypestring or null

The actual chart type of the time report. Can be: “group” or “time”.

projectIdstring or nullformat: "uuid"
The id of the project of the time report. Used for the pdf reports.
companyIdstring or nullformat: "uuid"
The id of the company of the time report. Used for the pdf reports.
sumBystring or null
Summarises the values by the sum of this property.
sortBystring or null
Sorts the values by this property.
sortByOrderstring or null

The way how to sort the data. Can be: “asc”, desc”.

roundBystring or null

Rounding method of the time report. Can be: “nearQuarter”, “nearHalf”, “nearHour”, “upQuarter”, “upHalf”, “upHour”.

groupBystring or null
Group the values by property.
sortColumnstring or null
Sort the values of the time report by a column.
sortGroupsEnabledboolean or null
Whether sorting of groups is enabled.
availableColumnslist of strings or null

List of shown Columns in the time report. Can be: “status”, “duration”, “task”, “timeTrackingNote”, “typeOfWork”, “project”, “date”, “time”, “user”, “client”, “projectType”, “projectRole”, “plannedDuration”, “taskList”, “key”.

billingStatuseslist of strings or null

Filter of bill satuses of the time report. Can be: “billed”, “notBilled”, “notBillable”.

notestring or null
Filter time entries by note.
usersFilterlist of strings or null
Filter time entries by users.
projectsFilterlist of strings or null
Filter time entries by projects.
noProjectFilterboolean or null
Filter to show also time entries without a project.
projectCompaniesFilterlist of strings or null
Filter time entries by projects of the companies.
projectTypesFilterlist of strings or null
Filter time entries by projects of the type.
projectStatusesNameFilterlist of strings or null
Filter time entries by projects with status name.
projectStatusTypesFilterlist of strings or null
Filter time entries by projects with status of type.
projectTeamsFilterlist of strings or null
List of teams, to the filter the projects for.
userTeamsFilterlist of strings or null
Filter for the teams to filter the users.
taskTagsModelFilterlist of objects or null
Filter time entries by the tags of the task.
projectTagsModelFilterlist of objects or null
Filter time entries by the tags of the project.
userTagsModelFilterlist of objects or null
Filter time entries by the tags of the users.
typesOfWorkFilterlist of strings or null
Group the time report by the type of works.
namestring or null
The name of the time report.
idstringformat: "uuid"
The id of the time report.
userobject
updatedOnstringformat: "date-time"
The date this time report was updated.
resourceVersionlongRead-only
The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.